.ui-gio-product-card {
    border-radius: 6px;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    display: flex;
    flex-direction: column;
    height: 100%;
    margin: 0 auto;
    max-width: 230px;
}

.ui-gio-product-card__description {
    border-top: 1px solid #CCC;
    padding: 8px 8px 16px 8px;
}

.ui-gio-product-card__image-container {
    margin: 0 auto;
    padding: 14px;
    text-align: center;
}

.ui-gio-product-card__price {
    font-weight: bold;
    margin-bottom: 12px !important;
}

.single_category_product {
    height: 100%;
    margin-bottom: 0;
}

.ui-gio-product-card__container {
    height: 100%;
}

.ui-gio-product-card__product-name {
    font-size: 12px;
    margin-bottom: 8px;
}

.ui-gio-product-card__price {
    font-size: 14px;
    margin-bottom: 8px !important;
}

.ui-gio-product-card__description {
    display: flex;
    flex-direction: column;
    flex: 1 1 0;
}

.ui-gio-product-card__button-container {
    margin-top: auto;
}

.ui-gio-product-card__add-to-cart-button:hover {
    color: #FFF;
}

.ui-gio-product-card__add-to-cart-button {
    background-color: #000;
    border-radius: 20px;
    color: #FFF;
    display: block;
    font-size: 12px;
    padding: 8px;
    text-align: center;
}

.ui-gio-product-card__sold-out {
    background-color: #dc3545;
    border-radius: 4px;
    color: #FFF !important;
    font-size: 10px;
    margin-right: auto;
    padding: 4px 12px;
    text-align: center;
}

.ui-gio-product-card__wish-list {
    position: absolute;
    right: 8px;
    top: 8px;
}

.ui-gio-product-card__wish-list a {
    display: block;
}

.ui-gio-product-card__wish-list.ui-gio-product-card--active i {
    color: #dc3545;
}

.ui-gio-product-card__wish-list i {
    color: white;
    text-shadow: 1px 1px 1px gray, -1px 1px 1px gray, 1px -1px 1px gray, -1px -1px 1px gray;
    font-size: 20px;
}

.ui-gioto-stepper-container {
    align-items: center;
    display: flex;
    gap: 4px;
}

.ui-gioto-stepper-container input {
    flex: 1;
    text-align: center;
    width: 100%;
}

.ui-gioto-stepper-container button {
    align-items: center;
    background-color: #FFF;
    border-radius: 100%;
    border: 1px solid #000;
    color: #000;
    display: flex;
    flex: 0 0 20px;
    height: 20px;
    justify-content: center;
    padding: 0;
}

.ui-gio-product-card__description strike {
    font-size: 12px;
}

@media (max-width: 800px) {
    .ui-gioto-stepper-container input {
        flex: 1;
    }

    .ui-gio-product-card__product-name {
        font-size: 12px;
        margin-bottom: 16px;
    }

    .ui-gio-product-card__price {
        font-size: 16px;
    }
    
    .ui-gio-product-card__image-container {
        padding: 8px;
    }

    .ui-gio-product-card__description {
        padding: 8px 8px 12px 8px;
    }
}
